import request from '@/utils/request'

// 查询课程用户关联列表
export function listUserCourseStudy(query) {
  return request({
    url: '/course/userCourseStudy/list',
    method: 'get',
    params: query
  })
}

// 查询课程用户关联详细
export function getUserCourseStudy(studyId) {
  return request({
    url: '/course/userCourseStudy/' + studyId,
    method: 'get'
  })
}

// 新增课程用户关联
export function addUserCourseStudy(data) {
  return request({
    url: '/course/userCourseStudy',
    method: 'post',
    data: data
  })
}

// 修改课程用户关联
export function updateUserCourseStudy(data) {
  return request({
    url: '/course/userCourseStudy',
    method: 'put',
    data: data
  })
}

// 删除课程用户关联
export function delUserCourseStudy(studyId) {
  return request({
    url: '/course/userCourseStudy/' + studyId,
    method: 'delete'
  })
}

// 导出课程用户关联
export function exportUserCourseStudy(query) {
  return request({
    url: '/course/userCourseStudy/export',
    method: 'get',
    params: query
  })
}